// atom pendant, by Rosie Campbell, based on design by KeyMe (www.key.me)
// Public Domain

module torus(r1=1, r2=2)
{
	rotate_extrude(convexity = 10, $fn = 200)
	translate([r2, 0, 0])
	circle(r = r1, $fn = 50);
}


module ring(l=1.2,w=3.5,h=2)
{
	scale([l,w,h])
		torus(.7, 5);
}


module orbit(sr=2.4,cr=1.3)
{
		union()
		{
			translate([3.5,-14.25,0.75])
				sphere(sr, $fn=200);

				ring();
		}

}


module orbits()
{
	orbit();
	rotate([0,0,120])
	orbit();
	rotate([0,0,240])
	orbit();
}

module nucleus(r=3)
{
	translate([0,0,0.75])
	sphere(r, $fn=200);
}

module struts(h=7.5,r=.75)
{
	rotate([90,0,0])
	translate([0,-0.4,-3.75])
	cylinder(h,r=r, $fn=200, center=true);
	rotate([0,90,30])
	translate([0.4,0,-3.75])
	cylinder(h,r=r, $fn=200, center=true);
	rotate([0,90,-30])
	translate([0.4,0,3.75])
	cylinder(h,r=r, $fn=200, center=true);
}


module atom()
{
	difference(){

		union(){
			nucleus();
			orbits();
			struts();
		}
	translate([0,0,-11.1])
		cube([100,100,20], center=true);
translate([0,17.5,-5])
	cylinder(10,r=0.8, $fn=200);
	
	}

}

atom();
